KDE 4.2 PyKDE API Reference

- KDE's Python API

# VideoFrame Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon::Experimental

## Detailed Description

A single video frame.

This simple class contains the data of a frame and metadata describing how to interpret the data.

Author:
  Matthias Kretz <kretz@kde.org>

## Enumerations

Format | { Format_YUV422, Format_YUV420, Format_RGBA8 }

## Attributes

Phonon.Experimental.VideoFrame.Format | colorspace
QByteArray | data
int | height
int | width

## Attribute Documentation

Phonon.Experimental.VideoFrame.Format colorspace

QByteArray data

The width of the video frame in pixels.

int height

Colorspace of the frame

int width

The height of the video frame in pixels.

## Enumeration Documentation

Format

Enumerator:

  Format_YUV422 |
  Format_YUV420 |
  Format_RGBA8 |